gtk.HScrollbar
Prev | The gtk Class Reference | Next

## gtk.HScrollbar

gtk.HScrollbar — a horizontal scrollbar widget

## Synopsis

    class gtk.HScrollbar(gtk.Scrollbar):
        gtk.HScrollbar(adjustment=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Range
            +-- gtk.Scrollbar
              +-- gtk.HScrollbar

## Implemented Interfaces

`gtk.HScrollbar` implements `gtk.Buildable`

## gtk.HScrollbar Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Range Properties

## gtk.HScrollbar Style Properties

gtk.Widget Style Properties

gtk.Range Style Properties

gtk.Scrollbar Style Properties

## gtk.HScrollbar Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Range Signal Prototypes

## Description

The `gtk.HScrollbar` widget is subclassed from `gtk.Scrollbar` to provide a horizontal scrollbar. See `gtk.Scrollbar` for details on the methods available for managing scrollbars. A `gtk.Adjustment` may be specified with the scrollbar at creation (or is created automatically if none is specified) to handle the adjustment of the scrollbar. See `gtk.Adjustment` for details.

## Constructor

        gtk.HScrollbar(adjustment=None)

`adjustment` : | a `gtk.Adjustment` or `None` to automatically create an adjustment
Returns : | a new hscrollbar widget

Creates a new `gtk.HScrollbar` with an associated `gtk.Adjustment` specified by `adjustment`. If `adjustment` is None or missing a new `gtk.Adjustment` will be created and associated with the scrollbar.

Prev | Up | Next
gtk.HScale | Home | gtk.HSeparator